package com.ruoyi.mall.domain.Vo;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;
import java.util.List;

/**
 * 志愿报告条目对象 tb_report_intelligence
 *
 * @author ruoyi
 * @date 2023-10-28
 */
public class ReportIntelligenceVo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 志愿条目id */
    private Long itemId;

    /** 所属报告id */
    private Long reportId;

    /** 志愿顺序位次（用于排序志愿） */
    private Integer sort;

    /** 用户id*/
    private Long userId;

    /** 学校id */
    private Long schoolId;


    /** 专业id */
    private Long majorId;

    /** 批次id */
    private Long batchId;



    /** 删除标志(0代表存在 2代表删除) */
    private String delFlag;


//备用字段
    /** 录入人数*/
    private Integer acceptNum;

    /** 录取最低分 */
    private Integer acceptLowest;

    /** 年份 */
    private String acceptYear;

    /** 录取原则 */
    private Long acceptRuleId;

    /** 录取率 */
    private BigDecimal acceptRate;

    /** 录取率百分比展示 */
    private String showAcceptRate;

    /** 录取率类型 */
    private Integer rateType;

    /** 已报名人数*/
    private Integer reportNum;

/**报告 志愿条目列表展示 */
    /** 学校名 ms.school_name*/
    private String schoolName;
    /** 标签 ms.tags*/
    /** 标签id集合 */
    private String tags;
    /** 标签名集合 */
    private List<String> tagList;
    /** 省 ms.province_name*/
    /** 省份名 */
    private String provinceName;
    /** 市 ms. competent_department*/
    /** 城市名 */
    private String cityName;
    /** 综合 ms.config_type_name*/
    private String configTypeName;
   /** 公办 ms.school_institution */
    /** 办学机构：0-公办，1-民办，3-中外合作办学，4其他 */
    private String schoolInstitution;
   /**  教育部 ms.competent_department*/
   private String competentDepartment;
    /** 录取最低分 */
    private Integer lowestScore;
    /** 专业名称 */
    private String majorName;
    /** 专业标签 如 省级一流专业*/
    private String tag;

    /** 专业最新参考分 */
    private BigDecimal reference;

    /** 是否显示参考分 */
    private Integer isReference;

    /** 学校专业id  */
    private Long linkId;

    public Integer getIsReference() {
        return isReference;
    }

    public void setIsReference(Integer isReference) {
        this.isReference = isReference;
    }

    public Long getLinkId() {
        return linkId;
    }

    public void setLinkId(Long linkId) {
        this.linkId = linkId;
    }

    public BigDecimal getReference() {
        return reference;
    }

    public void setReference(BigDecimal reference) {
        this.reference = reference;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Long getReportId() {
        return reportId;
    }

    public void setReportId(Long reportId) {
        this.reportId = reportId;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public Long getMajorId() {
        return majorId;
    }

    public void setMajorId(Long majorId) {
        this.majorId = majorId;
    }

    public Long getBatchId() {
        return batchId;
    }

    public void setBatchId(Long batchId) {
        this.batchId = batchId;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }


    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public Integer getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(Integer acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public BigDecimal getAcceptRate() {
        return acceptRate;
    }

    public void setAcceptRate(BigDecimal acceptRate) {
        this.acceptRate = acceptRate;
    }

    public String getShowAcceptRate() {
        return showAcceptRate;
    }

    public void setShowAcceptRate(String showAcceptRate) {
        this.showAcceptRate = showAcceptRate;
    }

    public Integer getRateType() {
        return rateType;
    }

    public void setRateType(Integer rateType) {
        this.rateType = rateType;
    }

    public Long getAcceptRuleId() {
        return acceptRuleId;
    }

    public void setAcceptRuleId(Long acceptRuleId) {
        this.acceptRuleId = acceptRuleId;
    }


    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getTags() {
        return tags;
    }

    public void setTags(String tags) {
        this.tags = tags;
    }

    public List<String> getTagList() {
        return tagList;
    }

    public void setTagList(List<String> tagList) {
        this.tagList = tagList;
    }

    public String getProvinceName() {
        return provinceName;
    }

    public void setProvinceName(String provinceName) {
        this.provinceName = provinceName;
    }

    public String getCityName() {
        return cityName;
    }

    public void setCityName(String cityName) {
        this.cityName = cityName;
    }

    public String getConfigTypeName() {
        return configTypeName;
    }

    public void setConfigTypeName(String configTypeName) {
        this.configTypeName = configTypeName;
    }

    public String getSchoolInstitution() {
        return schoolInstitution;
    }

    public void setSchoolInstitution(String schoolInstitution) {
        this.schoolInstitution = schoolInstitution;
    }

    public String getCompetentDepartment() {
        return competentDepartment;
    }

    public void setCompetentDepartment(String competentDepartment) {
        this.competentDepartment = competentDepartment;
    }

    public Integer getLowestScore() {
        return lowestScore;
    }

    public void setLowestScore(Integer lowestScore) {
        this.lowestScore = lowestScore;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getReportNum() {
        return reportNum;
    }

    public void setReportNum(Integer reportNum) {
        this.reportNum = reportNum;
    }


}
